gRPC C#
gRPC C#
Namespaces
Grpc.Core
ContextPropagationOptions Class
ContextPropagationOptions Constructor
ContextPropagationOptions Properties
ContextPropagationOptions Methods
ContextPropagationOptions Fields

ContextPropagationOptions Constructor

Creates new context propagation options.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public ContextPropagationOptions(
    	bool propagateDeadline = true,
    	bool propagateCancellation = true
    )

    Public Sub New (
    	Optional propagateDeadline As Boolean = true,
    	Optional propagateCancellation As Boolean = true
    )

    public:
    ContextPropagationOptions(
    	bool propagateDeadline = true,
    	bool propagateCancellation = true
    )

    new :
            ?propagateDeadline : bool *
            ?propagateCancellation : bool
    (* Defaults:
            let _propagateDeadline = defaultArg propagateDeadline true
            let _propagateCancellation = defaultArg propagateCancellation true
    *)
    -> ContextPropagationOptions

#### Parameters

propagateDeadline (Optional)
  Type: System
  Boolean
  If set to true parent call's deadline will be propagated to the child call.
propagateCancellation (Optional)
  Type: System
  Boolean
  If set to true parent call's cancellation token will be propagated to the child call.

See Also

#### Reference

ContextPropagationOptions Class
Grpc.Core Namespace